diff --git a/src/backend/access/brin/brin.c b/src/backend/access/brin/brin.c
index ae65549..7042f67 100644
--- a/src/backend/access/brin/brin.c
+++ b/src/backend/access/brin/brin.c
@@ -107,9 +107,6 @@ brininsert(PG_FUNCTION_ARGS)
 		BrinMemTuple *dtup;
 		BlockNumber heapBlk;
 		int			keyno;
-		BrinTuple  *tmptup PG_USED_FOR_ASSERTS_ONLY;
-		BrinMemTuple *tmpdtup PG_USED_FOR_ASSERTS_ONLY;
-		Size tmpsiz PG_USED_FOR_ASSERTS_ONLY;
 
 		CHECK_FOR_INTERRUPTS();
 
@@ -139,6 +136,10 @@ brininsert(PG_FUNCTION_ARGS)
 
 #ifdef USE_ASSERT_CHECKING
 		{
+			BrinTuple  *tmptup;
+			BrinMemTuple *tmpdtup;
+			Size tmpsiz;
+
 			/*
 			 * When assertions are enabled, we use this as an opportunity to
 			 * test the "union" method, which would otherwise be used very
